Skip to main content
POST
/
v1
/
span_annotations
Create span annotations
curl --request POST \
  --url https://api.example.com/v1/span_annotations \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "name": "<string>",
      "span_id": "<string>",
      "result": {
        "label": "<string>",
        "score": 123,
        "explanation": "<string>"
      },
      "metadata": {},
      "identifier": ""
    }
  ]
}
'
import requests

url = "https://api.example.com/v1/span_annotations"

payload = { "data": [
{
"name": "<string>",
"span_id": "<string>",
"result": {
"label": "<string>",
"score": 123,
"explanation": "<string>"
},
"metadata": {},
"identifier": ""
}
] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
name: '<string>',
span_id: '<string>',
result: {label: '<string>', score: 123, explanation: '<string>'},
metadata: {},
identifier: ''
}
]
})
};

fetch('https://api.example.com/v1/span_annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>"
    }
  ]
}
"<string>"
"<string>"
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Query Parameters

sync
boolean
default:false

If true, fulfill request synchronously.

Body

application/json
data
SpanAnnotationData · object[]
required

Response

Span annotations inserted successfully

data
InsertedSpanAnnotation · object[]
required